// Copyright 2000, CERN, Geneva, Switzerland and SLAC, Stanford, California, U.S.A.
package org.freehep.jaco.generator;

import java.io.PrintWriter;
import java.util.Properties;

import org.freehep.jaco.rtti.*;

/**
 * @author Mark Donszelmann
 * @version $Id: Generator.java,v 1.1.1.1 2004/05/31 05:08:51 kuromaru Exp $
 */
public interface Generator
{
    Properties getProperties();
    public String directory(IClass clazz);
    public String filename(IClass clazz);
    /**
     * @return true to stop generating more file
     */
	public boolean print(PrintWriter out, IClass clazz);
}

